#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
	cin >> n;
	for (int i = 1; i < n; i++)
	{
		int u, v;
		char slovo;
		cin >> u >> v >> slovo;
	}
    cout << 4;
    return 0;
}